Skip to main content

Mastercard Payment of Winnings


This section describes how to process a credit for Mastercard Payment of Winnings. This payment type is supported only for the Barclays processor.

Mastercard Payment of Winnings (POW) is a credit specifically for gambling merchants to pay game winnings to customers. The transaction is authorized in real time, beginning with an online refund authorization and followed by an automatic capture. POW is restricted to merchants characterized under merchant category code 7995.

Supported Processors

  • Barclays

Card Types

To use a specific card type, set the paymentInformation.card.type field to a value listed in the Card Type Value column:

Card TypeCard Type Value
Maestro International042
Maestro UK024
Mastercard002

Unauthorized Issuing Countries

Cards issued in these countries are rejected:

  • Brazil
  • Canada
  • China
  • Czech Republic
  • Finland
  • Hong Kong
  • Hungary
  • India
  • Indonesia
  • Latvia
  • Norway
  • Pakistan
  • Poland
  • Portugal
  • Russia
  • Singapore
  • Sweden
  • Switzerland
  • Turkey
  • United Arab Emirates
  • United Kingdom credit cards
  • United States

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

POST /pts/v2/credits/

A stand-alone credit is not linked to a previous transaction, so no transaction ID is required in the endpoint URL.

Example

{  "clientReferenceInformation": {    "code": "12345678"  },  "processingInformation": {    "refundOptions": {      "reason": "pow"    }  },  "recipientInformation": {    "lastName": "Joseph",    "firstName": "Bloggs"  },  "senderInformation": {    "firstName": "The",    "lastName": "Company",    "address1": "1 High Street",    "locality": "Belfast",    "countryCode": "GBR",    "account": {      "number": "12345678901xxxx",      "fundsSource": "01"    }  },  "paymentInformation": {    "card": {      "number": "555555555555xxxx",      "expirationMonth": "01",      "expirationYear": "2025",      "type": "002"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "200",      "currency": "GBP"    },    "billTo": {      "firstName": "Joe",      "lastName": "Bloggs",      "address1": "1 The Street",      "locality": "City",      "administrativeArea": "County",      "postalCode": "AB12CD",      "country": "GB",      "email": "[email protected]",      "phoneNumber": "07000000000"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/6922294815876855103092/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/6922294815876855103092"    }  },  "clientReferenceInformation": {    "code": "12345678"  },  "creditAmountDetails": {    "currency": "GBP",    "creditAmount": "200.00"  },  "id": "6922294815876855103092",  "orderInformation": {    "amountDetails": {      "currency": "GBP"    }  },  "paymentAccountInformation": {    "card": {      "type": "002"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "002"    },    "card": {      "type": "002"    }  },  "reconciliationId": "5003323433",  "status": "PENDING",  "submitTimeUtc": "2023-08-16T23:44:41Z"}

Required Fields

Use these required fields to process a Mastercard Payment of Winnings:

Default Required Fields

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.phoneNumber—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.typeFor a list of possible values, see Card Types.
processingInformation.refundOptions.reasonSet the value to pow.

Optional Fields

Include these optional fields to process a Mastercard Payment of Winnings if you need to provide a merchant surname, override the default settings for the merchant first name or location, or override the default settings for the customer first and last names.

Optional Fields
FieldDescription
recipientInformation.firstNameBy default, this field is set to the value in the orderInformation.billTo.firstName field. Include this field in the request message if you want to override the default setting.
recipientInformation.lastNameBy default, this field is set to the value in the orderInformation.billTo.lastName field. Include this field in the request message if you want to override the default setting.
senderInformation.account.numberInclude this field if you need to provide a payment card account number or bank account number for your merchant account.
senderInformation.account.fundsSourcePossible values for processing a Mastercard Payment of Winnings: 00 (Other), 01 (RTN + bank account), 02 (International bank account number (IBAN)), 03 (Card account), 04 (Email), 05 (Phone number), 06 (Bank account number (BAN) + bank identification code (BIC)), 07 (Wallet ID), 08 (Social network ID).
senderInformation.address1Merchant street address. By default, this field is set to the corresponding value in your configuration on the platform.
senderInformation.countryCodeMerchant country code. By default, this field is set to the corresponding value in your configuration on the platform.
senderInformation.firstNameMerchant first name. By default, this field is set to the corresponding value in your configuration on the platform.
senderInformation.lastNameInclude this field if you need to provide a last name for your merchant account.
senderInformation.localityMerchant city. By default, this field is set to the corresponding value in your configuration on the platform.

Last published: September 29, 2026